<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: cakeslice.Outline Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classcakeslice_1_1_outline.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classcakeslice_1_1_outline-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">cakeslice.Outline Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cakeslice.Outline:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcakeslice_1_1_outline.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a968f59dbba09e7727055b2b5735bf4e2"><td class="memItemLeft" align="right" valign="top"><a id="a968f59dbba09e7727055b2b5735bf4e2" name="a968f59dbba09e7727055b2b5735bf4e2"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>color</b></td></tr>
<tr class="separator:a968f59dbba09e7727055b2b5735bf4e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecfb96b196c2ba7352dc26f2f2df708b"><td class="memItemLeft" align="right" valign="top"><a id="aecfb96b196c2ba7352dc26f2f2df708b" name="aecfb96b196c2ba7352dc26f2f2df708b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>eraseRenderer</b></td></tr>
<tr class="separator:aecfb96b196c2ba7352dc26f2f2df708b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ae51a31209e71e588f1fbcb300fa8f00c"><td class="memItemLeft" align="right" valign="top"><a id="ae51a31209e71e588f1fbcb300fa8f00c" name="ae51a31209e71e588f1fbcb300fa8f00c"></a>
Renderer&#160;</td><td class="memItemRight" valign="bottom"><b>Renderer</b><code> [get]</code></td></tr>
<tr class="separator:ae51a31209e71e588f1fbcb300fa8f00c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac5a294fc95b12a6197a62227cea25ce"><td class="memItemLeft" align="right" valign="top"><a id="aac5a294fc95b12a6197a62227cea25ce" name="aac5a294fc95b12a6197a62227cea25ce"></a>
SkinnedMeshRenderer&#160;</td><td class="memItemRight" valign="bottom"><b>SkinnedMeshRenderer</b><code> [get]</code></td></tr>
<tr class="separator:aac5a294fc95b12a6197a62227cea25ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9018ff2e404464860f657392a28d577"><td class="memItemLeft" align="right" valign="top"><a id="ad9018ff2e404464860f657392a28d577" name="ad9018ff2e404464860f657392a28d577"></a>
MeshFilter&#160;</td><td class="memItemRight" valign="bottom"><b>MeshFilter</b><code> [get]</code></td></tr>
<tr class="separator:ad9018ff2e404464860f657392a28d577"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6232f0bd919ea5b8abdaa9bae020b48b"><td class="memItemLeft" align="right" valign="top"><a id="a6232f0bd919ea5b8abdaa9bae020b48b" name="a6232f0bd919ea5b8abdaa9bae020b48b"></a>
Material[]&#160;</td><td class="memItemRight" valign="bottom"><b>SharedMaterials</b><code> [get]</code></td></tr>
<tr class="separator:a6232f0bd919ea5b8abdaa9bae020b48b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/OutlineEffect/<a class="el" href="_outline_8cs.html">Outline.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacecakeslice.html">cakeslice</a></li><li class="navelem"><a class="el" href="classcakeslice_1_1_outline.html">Outline</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
